Doomsday Engine - Feature #2032

Feature # 2033 (Progressed): Runtime map editor

Game world debugger/inspector sidebar
2015-05-03 21:40 - skyjake

Status: New Start date: 2015-05-03
Priority: Normal % Done: 0%
Assignee:

Category: Enhancement

Target version: Modding

Description

When debugging gameplay issues, it would be helpful to see more information about objects visually in addition to just ID numbers
overlaid on top of the game view.

A new sidebar could be added as a debugging aid, for both developers and map authors:
e Add persistent "watches" on specific objects and surfaces, to see information boxes displaying their state.
¢ Highlight when values change.
¢ Trigger a breakpoint when a certain value changes (?).

¢ Edit state values on the fly (?).

This would essentially be a GUI for the inspect* console commands.

History

#1 - 2015-05-03 21:53 - skyjake
- Parent task set to #2033

#2 - 2019-11-29 21:58 - skyjake

- Target version set to Modding
